zenilib: Lib3dsIo Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
Lib3dsIo Struct Reference
API

`#include <lib3ds.h>`

## Public Attributes

void * | impl
void(* | log_func )(void *self, Lib3dsLogLevel level, int indent, const char *msg)
size_t(* | read_func )(void *self, void *buffer, size_t size)
long(* | seek_func )(void *self, long offset, Lib3dsIoSeek origin)
void * | self
long(* | tell_func )(void *self)
size_t(* | write_func )(void *self, const void *buffer, size_t size)

## Detailed Description

Definition at line 56 of file lib3ds.h.

## Member Data Documentation

void* Lib3dsIo::impl

Definition at line 57 of file lib3ds.h.

Referenced by face_array_write(), kfdata_read(), lib3ds_chunk_read_end(), lib3ds_chunk_read_start(), lib3ds_file_read(), lib3ds_file_write(), lib3ds_io_cleanup(), lib3ds_io_log(), lib3ds_io_log_indent(), lib3ds_io_log_str(), and lib3ds_io_setup().

void(* Lib3dsIo::log_func)(void *self, Lib3dsLogLevel level, int indent, const char *msg)

Definition at line 63 of file lib3ds.h.

Referenced by lib3ds_chunk_read_next(), lib3ds_chunk_unknown(), lib3ds_file_open(), lib3ds_file_save(), lib3ds_io_log(), and lib3ds_io_log_str().

size_t(* Lib3dsIo::read_func)(void *self, void *buffer, size_t size)

Definition at line 61 of file lib3ds.h.

Referenced by lib3ds_file_open(), lib3ds_file_save(), and lib3ds_io_read().

long(* Lib3dsIo::seek_func)(void *self, long offset, Lib3dsIoSeek origin)

Definition at line 59 of file lib3ds.h.

Referenced by lib3ds_file_open(), lib3ds_file_save(), and lib3ds_io_seek().

void* Lib3dsIo::self

Definition at line 58 of file lib3ds.h.

Referenced by lib3ds_file_open(), lib3ds_file_save(), lib3ds_io_log_str(), lib3ds_io_read(), lib3ds_io_seek(), lib3ds_io_tell(), and lib3ds_io_write().

long(* Lib3dsIo::tell_func)(void *self)

Definition at line 60 of file lib3ds.h.

Referenced by lib3ds_file_open(), lib3ds_file_save(), and lib3ds_io_tell().

size_t(* Lib3dsIo::write_func)(void *self, const void *buffer, size_t size)

Definition at line 62 of file lib3ds.h.

Referenced by lib3ds_file_open(), lib3ds_file_save(), and lib3ds_io_write().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/lib3ds/src/lib3ds.h